### Hierarchy

- TextStreamBase
  - TextStreamWriter

## Index

### Properties

- Column
- Line

### Methods

- Close
- Write
- WriteBlankLines
- WriteLine

## Properties

### Column

Column: number

Inherited from TextStreamBase.Column

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:43

The column number of the current character position in an input stream.

### Line

Line: number

Inherited from TextStreamBase.Line

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:48

The current line number in an input stream.

## Methods

### Close

- Close(): void

- Inherited from TextStreamBase.Close

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:55

  Closes a text stream. It is not necessary to close standard streams; they close automatically when the process ends. If you close a standard stream, be aware that any other pointers to that standard stream become invalid.

  #### Returns void

### Write

- Write(s: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:62

  Sends a string to an output stream.

  #### Parameters

  - ##### s: string

  #### Returns void

### WriteBlankLines

- WriteBlankLines(intLines: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:67

  Sends a specified number of blank lines (newline characters) to an output stream.

  #### Parameters

  - ##### intLines: number

  #### Returns void

### WriteLine

- WriteLine(s: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:72

  Sends a string followed by a newline character to an output stream.

  #### Parameters

  - ##### s: string

  #### Returns void

Generated using TypeDoc